Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableInterceptor::InvalidSlot Exception Reference

`#include <InvalidSlotC.h>`

Inheritance diagram for PortableInterceptor::InvalidSlot:

[legend]
Collaboration diagram for PortableInterceptor::InvalidSlot:

[legend]
List of all members.

## Public Member Functions
| InvalidSlot (void)
| InvalidSlot (const InvalidSlot &)
| ~InvalidSlot (void)
InvalidSlot & | operator= (const InvalidSlot &)
virtual CORBA::Exception * | _tao_duplicate (void) const
| Deep copy.
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual CORBA::TypeCode_ptr | _tao_type (void) const
| Will be overridden in the concrete derived classes.
## Static Public Member Functions
void | _tao_any_destructor (void *)
| Used in the non-copying Any insertion operator.
InvalidSlot * | _downcast (CORBA::Exception *)
| The narrow operation.
const InvalidSlot * | _downcast (CORBA::Exception const *)
| The const version of narrow operation.
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

PortableInterceptor::InvalidSlot::InvalidSlot | ( | void |  | ) |

PortableInterceptor::InvalidSlot::InvalidSlot | ( | const InvalidSlot & |  | ) |

PortableInterceptor::InvalidSlot::~InvalidSlot | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * PortableInterceptor::InvalidSlot::_alloc | ( | void |  | ) | `[static]`

const PortableInterceptor::InvalidSlot * PortableInterceptor::InvalidSlot::_downcast | ( | CORBA::Exception const * |  | ) | `[static]`

| The const version of narrow operation. Reimplemented from CORBA::UserException.

PortableInterceptor::InvalidSlot * PortableInterceptor::InvalidSlot::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| The narrow operation. Reimplemented from CORBA::UserException.

void PortableInterceptor::InvalidSlot::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void PortableInterceptor::InvalidSlot::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the non-copying Any insertion operator. Reimplemented from CORBA::Exception.

virtual void PortableInterceptor::InvalidSlot::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * PortableInterceptor::InvalidSlot::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Deep copy. The following operation is used in the implementation of it performs a deep copy of the exception, normally it is implemented as:
     class SomeException : public // Derives from CORBA::Exception
     {
     public:
       virtual CORBA::Exception *_tao_duplicate (void) const
       {
         return new SomeException (*this);
       }
     };
Implements CORBA::Exception.

virtual void PortableInterceptor::InvalidSlot::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr PortableInterceptor::InvalidSlot::_tao_type | ( | void |  | ) | const`[virtual]`

| Will be overridden in the concrete derived classes. Reimplemented from CORBA::Exception.

InvalidSlot& PortableInterceptor::InvalidSlot::operator= | ( | const InvalidSlot & |  | ) |

The documentation for this exception was generated from the following files:

- InvalidSlot.pidl
- InvalidSlotC.h
- InvalidSlotC.cpp